classification
Title: [patch] Add AlpineLinux to the platform module's supported distributions list
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, Elizacat, ezio.melotti, lemburg, zach.ware
Priority: normal Keywords: patch

Created on 2014-03-23 04:05 by Elizacat, last changed 2020-04-27 03:18 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
platform.patch Elizacat, 2014-03-23 04:05 review
Messages (4)
msg214545 - (view) Author: Elizabeth Myers (Elizacat) * Date: 2014-03-23 04:05
This patch adds support for the AlpineLinux distrubtion (http://alpinelinux.org) to the platform.linux_distributions function, e.g.:

>>> platform.linux_distribution()
('alpine', '2.8.0_alpha2', '')

Thoughts, feelings, and rotten tomatoes welcome :).
msg217334 - (view) Author: Elizabeth Myers (Elizacat) * Date: 2014-04-28 01:38
Any information or updates? :)
msg221261 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-22 15:47
Why has this been set to languishing as it's only three months old?
msg367364 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 03:18
As `linux_distribution` was removed in 3.8 (bpo-28167), I'm closing the issue.  Thanks for the patch anyway, Elizabeth, and I'm sorry it didn't end up better!
History
Date User Action Args
2020-04-27 03:18:33zach.waresetstatus: languishing -> closed

versions: + Python 3.5, - Python 3.9
nosy: + zach.ware

messages: + msg367364
resolution: out of date
stage: patch review -> resolved
2020-03-06 22:16:16SilentGhostsetversions: + Python 3.9, - Python 3.5
2020-03-06 20:50:35brett.cannonsetnosy: - brett.cannon
2014-06-22 15:47:32BreamoreBoysetnosy: + BreamoreBoy
messages: + msg221261
2014-05-14 07:36:16ezio.melottisetnosy: + brett.cannon, ezio.melotti

stage: patch review
2014-04-28 01:38:29Elizacatsetstatus: open -> languishing

messages: + msg217334
2014-03-23 12:18:37r.david.murraysetnosy: + lemburg
2014-03-23 05:20:55Elizacatsettype: enhancement
2014-03-23 04:05:36Elizacatcreate